import { VxeUI } from "../../../@vxe-ui/core/es/index.esm.mjs";
import VxeIconComponent from "./src/icon.mjs";
import { dynamicApp } from "../dynamics/index.mjs";
const VxeIcon = Object.assign({}, VxeIconComponent, {
  install(app) {
    app.component(VxeIconComponent.name, VxeIconComponent);
  }
});
dynamicApp.use(VxeIcon);
VxeUI.component(VxeIconComponent);
const Icon = VxeIcon;
export {
  Icon,
  VxeIcon,
  VxeIcon as default
};
